# Uses of Class
org.jsoup.nodes.Attribute

Packages that use Attribute
Package
Description
org.jsoup.nodes
HTML document structure nodes.
org.jsoup.safety
Contains the jsoup HTML cleaner, and safelist definitions.

## Uses of Attribute in org.jsoup.nodes

Methods in org.jsoup.nodes that return Attribute
Modifier and Type
Method
Description
`Attribute`
Attribute.`clone()`
`static Attribute`
Attribute.`createFromEncoded(String unencodedKey, String encodedValue)`
Create a new Attribute from an unencoded key and a HTML attribute encoded value.
Methods in org.jsoup.nodes that return types with arguments of type Attribute
Modifier and Type
Method
Description
`List<Attribute>`
Attributes.`asList()`
Get the attributes as a List, for iteration.
`Iterator<Attribute>`
Attributes.`iterator()`
Methods in org.jsoup.nodes with parameters of type Attribute
Modifier and Type
Method
Description
`Attributes`
Attributes.`put(Attribute attribute)`
Set a new attribute, or replace an existing one by key.

## Uses of Attribute in org.jsoup.safety

Methods in org.jsoup.safety with parameters of type Attribute
Modifier and Type
Method
Description
`protected boolean`
Safelist.`isSafeAttribute(String tagName, Element el, Attribute attr)`
Test if the supplied attribute is allowed by this safelist for this tag